const validateDay = (day) => {
    if (day && day > 0 && day <= 31) {
      return true;
    }
  };

  const validateMonth = (month) => {
    if (month && month > 0 && month <= 12) {
      return true;
    }
  };

  const validateYear = (year) => {
    const currentYear = new Date().getFullYear();
    if (year && year > 0 && year <= currentYear) {
      return true;
    }
  };

  const isDateValid = (dayElement, monthElement, yearElement) => {
    let isValid = [false, false, false];
  
    if (!validateDay(dayElement.value)) {
      dayElement.classList.add("card__input--error");
    } else {
      isValid[0] = true;
      dayElement.classList.remove("card__input--error");
    }
  
    if (!validateMonth(monthElement.value)) {
      monthElement.classList.add("card__input--error");
    } else {
      isValid[1] = true;
      monthElement.classList.remove("card__input--error");
    }
  
    if (!validateYear(yearElement.value)) {
      yearElement.classList.add("card__input--error");
    } else {
      isValid[2] = true;
      yearElement.classList.remove("card__input--error");
    }
  
    return isValid.every((item) => item === true);
  };

  export {validateDay, validateMonth, validateYear, isDateValid};